package ch.hslu.appe.usermanagement.exception;

/**
 * Cache Outdated Exception.
 */
public class CacheOutdatedException extends UserManagementException {

    private static final long serialVersionUID = 1L;

    /**
     * Cache Outdated Exception.
     */
    public CacheOutdatedException() {
        super("Application was not able to update the cache!");
    }

    /**
     * Cache Outdated Exception.
     * @param innerException inner Exception
     */
    public CacheOutdatedException(final Throwable innerException) {
        super("Application was not able to update the cache!", innerException);
    }
}
